package com.itbaizhan.controller;

import com.itbaizhan.domain.Student;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Controller
public class MyController2 {

    @RequestMapping("/helloMVC")
    public void helloMVC(){
        System.out.println("hello SpringMVC");
    }
    @RequestMapping("/c2/hello")
    public String helloMVC1(){
        System.out.println("hello SpringMVC");
        return "helloMVC";
    }
    @RequestMapping("/c2/hello2")
    public ModelAndView userView(){
        System.out.println("放回值类型为ModelAndView");
        ModelAndView modelAndView = new ModelAndView();
        Map<String, Object> model = modelAndView.getModel();
        model.put("name","百战程序员");
        modelAndView.setViewName("baizhan");
        return modelAndView;
    }
    @RequestMapping("/c2/hello3")
    public String setRequestModel(HttpServletRequest request){
        request.setAttribute("name","尚学堂1");
        return "baizhan";
    }
    @RequestMapping("c2/hello4")
    public String setRequestModel2(Model model, ModelMap modelMap){
//        model.addAttribute("name","尚学堂2");
        modelMap.addAttribute("name","尚学堂3");
        return "baizhan";
    }
    @RequestMapping("c2/hello5")
    public String setRequestModel3(Map map){
        map.put("name","sxt");
        return "baizhan";
    }
    @RequestMapping("/c2/hello6")
    public String SetSessionModel(HttpSession session){
        session.setAttribute("address","北京");
        return "baizhan";
    }
    @RequestMapping("/c2/hello7")
    public String SetContextModel(HttpSession session){
        ServletContext servletContext = session.getServletContext();
        servletContext.setAttribute("age",10);
        return "baizhan";
    }
    @RequestMapping("/c2/hello8")
    public void myforward1(HttpServletRequest request,HttpServletResponse response)throws Exception{
        request.setAttribute("name","尚学堂");
//        request.getRequestDispatcher("/c2/hello9").forward(request,response);
        response.sendRedirect("/c2/hello9");
    }

    @RequestMapping("/c2/hello9")
    public void myforward2(HttpServletRequest request,HttpServletResponse response){
        System.out.println("hello");
        System.out.println(request.getAttribute("name"));
    }
    @RequestMapping("/c2/hello10")
    public String myForward3(HttpServletRequest request){
        request.setAttribute("name","sxt");
//        return "forward:/c2/hello9";
        return "redirect:/c2/hello9";
    }

}
