package com.itbaizhan.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.Map;

@Controller
@RequestMapping("/c3")
public class MyController3 {
    @RequestMapping(path = "/anno1",method = {RequestMethod.GET},params = {"age"},headers = {"User-agent"})
    public String annotation1(String username){
        System.out.println(username);
        return "baizhan";
    }
    @RequestMapping("/anno2")
    public String annotation2(@RequestParam(name = "username",defaultValue = "sxt",required = false) String name){
        System.out.println(name);
        return "baizhan";
    }
    @RequestMapping("/anno3")
    public String annotation3(@RequestHeader("User-agent")String UserAgent, @CookieValue("JSESSIONID")String jSessionId){
        System.out.println(UserAgent);
        System.out.println(jSessionId);
        return "baizhan";
    }

}
