package com.itbaizhan.controller;

import com.itbaizhan.domain.Student;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.util.Date;
import java.util.List;

@Controller
public class MyController1 {

    @RequestMapping("/c1/hello")
    public void helloMvc(){
        System.out.println("hello SpringMvc!");
    }
    @RequestMapping("/c1/param1")
    public void simpleParam(String username,int age){
        System.out.println(username);
        System.out.println(age);
    }
    @RequestMapping("/c1/param2")
    public void objParam(Student student){
        System.out.println(student);
    }
    @RequestMapping("/c1/param3")
    public void objParam2(Student student){
        System.out.println(student);
    }
    @RequestMapping("/c1/param4")
    public void listParam(@RequestParam List<String> users){
        System.out.println(users);
    }
    @RequestMapping("c1/param5")
    public void listParam2(@RequestParam String[] users){
        System.out.println(users[0]);
        System.out.println(users[1]);
    }
    @RequestMapping("c1/param6")
    public void listParam3(Student student){
        System.out.println(student);
    }
    @RequestMapping("c1/param7")
    public void listParam4(Student student){
        System.out.println(student);
    }
    @RequestMapping("c1/param8")
    public void servletParam(HttpServletRequest request, HttpServletResponse response, HttpSession session){
        System.out.println(request.getParameter("name"));
        System.out.println(response.getCharacterEncoding());
        System.out.println(session.getId());
    }
    @RequestMapping("c1/param9")
    public void dataParam(Date birthday){
        System.out.println(birthday);
    }
    @RequestMapping("/cn/code")
    public void code(String username){
        System.out.println(username);
    }
}
