package com.itbaizhan.controller;

import com.itbaizhan.domain.Student;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

@Controller
@RequestMapping("/student")
public class StudentController {
//    @RequestMapping(value = "/{id}",method = RequestMethod.DELETE)
    @DeleteMapping("/{id}")
    public String deleteStudent(@PathVariable int id){
        System.out.println("删除id为"+id+"的学生");
        return "baizhan";
    }

    @GetMapping("/{id}")
//    @RequestMapping(value = "/{id}",method = RequestMethod.GET)
    public String findStudentById(@PathVariable("id") int id){
        System.out.println(id);
        System.out.println("根据id查询学生");
        return "baizhan";
    }
//    @RequestMapping(value = "/{id}",method = RequestMethod.POST)
    @PostMapping("/{id}")
    public String addStudent(@PathVariable int id, Student student){
        System.out.println(student);
        System.out.println("新增学生");
        return "baizhan";
    }
//    @RequestMapping(value = "/{id}",method = RequestMethod.PUT)
    @PutMapping("/{id}")
    public String updateStudent(@PathVariable int id,Student student){
        System.out.println(id);
        System.out.println(student);
        System.out.println("修改学生");
        return "baizhan";
    }
}
