package com.itbaizhan.controller;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.WebResource;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.ServletInputStream;
import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.io.IOException;
import java.util.UUID;

@Controller
public class uploadController {
    @RequestMapping("/fileUpload")
    public String upload(HttpServletRequest request)throws Exception{
        ServletInputStream is = request.getInputStream();
        int i=0;
        while((i=is.read())!=-1){
            System.out.print((char) i);
        }
        return "index";

    }
    @RequestMapping("/fileUpload2")
    public String upload2(MultipartFile file,HttpServletRequest request) throws IOException {
        String realPath = request.getSession().getServletContext().getRealPath("/upload");
        File dir=new File(realPath);
        if(!dir.exists()){
            dir.mkdirs();
        }
        String filename = file.getOriginalFilename();
        filename= UUID.randomUUID()+"_"+filename;
        File newFile = new File(dir,filename);
        file.transferTo(newFile);
        return "index";
    }
    @RequestMapping("/fileUpload3")
    public String upload3(String username,MultipartFile[] files,HttpServletRequest request) throws IOException {
        String realPath = request.getSession().getServletContext().getRealPath("/upload");
        File dir = new File(realPath);
        if(!dir.exists()){
            dir.mkdirs();
        }
        for (MultipartFile file:files){
            String filename = file.getOriginalFilename();
            filename=UUID.randomUUID()+"_"+filename;
            File newFile = new File(dir, filename);
            file.transferTo(newFile);
        }
        return "index";
    }
    @RequestMapping("/fileUpload4")
    @ResponseBody
    public String upload4(HttpServletRequest request,MultipartFile file) throws IOException {
        String realPath = request.getSession().getServletContext().getRealPath("/upload");
        File dir = new File(realPath);
        if(!dir.exists()){
            dir.mkdirs();
        }
        String filename = file.getOriginalFilename();
        filename=UUID.randomUUID()+"_"+filename;
        File newFile = new File(dir,filename);
        file.transferTo(newFile);
        return "/upload/"+filename;
    }
    @RequestMapping("/fileUpload5")
    @ResponseBody
    public String upload5(MultipartFile file,HttpServletRequest request) throws IOException {
        String path="http://loaclhost:8081/upload/";
        String filename = file.getOriginalFilename();
        filename=UUID.randomUUID()+"_"+filename;
        //跨服上传
        //创建客户端对象
        Client client = Client.create();
        //使用客户端对象连接图片服务器
        WebResource resource = client.resource(path + filename);
        //传输数据
        resource.put(file.getBytes());
        return path+filename;

    }
}
